package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

public class StudentPaymentOrderQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "开始时间",required = false)
    private String orderStartDate;

    @ApiModelProperty(value = "截止时间",required = false)
    private String orderEndDate;

    @ApiModelProperty(value = "交易类型",required = false)
    private String paymentType;

    @ApiModelProperty(value = "交易类型",required = false)
    private String remark;

    @ApiModelProperty(value = "学生编号",required = false)
    private Integer studentId;

    @ApiModelProperty(value = "交易状态",required = false)
    private String paymentStatus;

    @ApiModelProperty(value = "分部编号",required = false)
    private String organId;

    @ApiModelProperty(value = "支付方式",required = false)
    private String paymentChannel;

    @ApiModelProperty(value = "订单类型",required = false)
    private String orderType;

    @ApiModelProperty(value = "分配分部",required = false)
    private String routingOrganId;

    @ApiModelProperty(value = "现金支付金额",required = false)
    private BigDecimal actualAmount;

    @ApiModelProperty(value = "余额支付金额",required = false)
    private BigDecimal balancePaymentAmount;

    @ApiModelProperty(value = "现金支付金额(小于等于)",required = false)
    private BigDecimal lessActualAmount;

    @ApiModelProperty(value = "余额支付金额(小于等于)",required = false)
    private BigDecimal lessBalancePaymentAmount;

    @ApiModelProperty(value = "订单号",required = false)
    private String orderNo;

    @ApiModelProperty(value = "商户号",required = false)
    private String merNos;

    @ApiModelProperty(value = "商户订单号",required = false)
    private String transNo;

    private List<Integer> userIds;

    //不包含淘气
    @ApiModelProperty(value = "传时不包含淘气",required = false)
    private Integer noneTqType;//TQ 1-不包含淘气

    private boolean isExport = false;

    public boolean getIsExport() {
        return isExport;
    }

    public void setIsExport(boolean export) {
        isExport = export;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public String getOrderStartDate() {
        return orderStartDate;
    }

    public void setOrderStartDate(String orderStartDate) {
        this.orderStartDate = orderStartDate;
    }

    public String getOrderEndDate() {
        return orderEndDate;
    }

    public void setOrderEndDate(String orderEndDate) {
        this.orderEndDate = orderEndDate;
    }

    public String getPaymentType() {
        return paymentType;
    }

    public void setPaymentType(String paymentType) {
        this.paymentType = paymentType;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public String getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(String paymentStatus) {
        this.paymentStatus = paymentStatus;
    }

    public String getPaymentChannel() {
        return paymentChannel;
    }

    public void setPaymentChannel(String paymentChannel) {
        this.paymentChannel = paymentChannel;
    }

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public String getRoutingOrganId() {
        return routingOrganId;
    }

    public void setRoutingOrganId(String routingOrganId) {
        this.routingOrganId = routingOrganId;
    }

    public BigDecimal getActualAmount() {
        return actualAmount;
    }

    public void setActualAmount(BigDecimal actualAmount) {
        this.actualAmount = actualAmount;
    }

    public BigDecimal getBalancePaymentAmount() {
        return balancePaymentAmount;
    }

    public void setBalancePaymentAmount(BigDecimal balancePaymentAmount) {
        this.balancePaymentAmount = balancePaymentAmount;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getMerNos() {
        return merNos;
    }

    public void setMerNos(String merNos) {
        this.merNos = merNos;
    }

    public String getTransNo() {
        return transNo;
    }

    public void setTransNo(String transNo) {
        this.transNo = transNo;
    }

    public List<Integer> getUserIds() {
        return userIds;
    }

    public void setUserIds(List<Integer> userIds) {
        this.userIds = userIds;
    }

    public BigDecimal getLessActualAmount() {
        return lessActualAmount;
    }

    public void setLessActualAmount(BigDecimal lessActualAmount) {
        this.lessActualAmount = lessActualAmount;
    }

    public BigDecimal getLessBalancePaymentAmount() {
        return lessBalancePaymentAmount;
    }

    public void setLessBalancePaymentAmount(BigDecimal lessBalancePaymentAmount) {
        this.lessBalancePaymentAmount = lessBalancePaymentAmount;
    }

    public Integer getNoneTqType() {
        return noneTqType;
    }

    public void setNoneTqType(Integer noneTqType) {
        this.noneTqType = noneTqType;
    }
}
